/*
PRTCHK.C

Written by:  Jackie W. Ammerman
             Ammerman Information Management Systems
             129 West Davis Street
             Decatur, GA 30030
             404-377-0207

Date:        January 2, 1989

Description: This function returns the printer status to a clipper 
             program.  This is done by making a call to the C
             function BIOSPRINT.  This makes the appropriate call to 
             the printer interupt to check the status.  The bits in the
             byte returned serve as flags to indicate the status of the
             printer.  While it would be possible to check the value of
             the individual bits in the byte, simply returning the value
             as an integer makes possible determining the status of the
             printer.
       
             PRTCHK can detect if there is a valid printer port,
             if the printer is Online, Offline, Out of Paper, or Turned 
             Off.
             
Syntax:      STAT_VAL = PRTCHK(N1)
                  
              N1 is an integer value refering to the desired printer port.
              STAT_VAL is the returned integer indicating the printer status.

Parameters:  The function accepts one integer parameter which 
             specifies the printer port.  The following are acceptable 
             parameters:

                 0  -> LPT1:
                 1  -> LPT2:
                 2  -> LPT3:

Returns:      The function returns an integer which indicates the printer
              status.  Following is a list of return values:

                       VALUE            MEANING

                          2             Invalid printer port
                          8             Printer is off-line
                         40             Printer has no paper
                        144             Printer is on-line (Ready)
                        200             Printer is switched off

*/

#include "nandef.h"
#include "extend.h"
#include "bios.h"

CLIPPER prtchk()

     {
     int cmd1, abyte;
     cmd1=2;
     abyte=0;

     _retni(biosprint(cmd1, abyte, _parni(1)));
     }
